Skip to main content
POST
/
assets
/
{assetId}
/
events
Push asset custom event.
curl --request POST \
  --url https://api.example.com/assets/{assetId}/events \
  --header 'Content-Type: application/json' \
  --data '
{
  "eventType": "<string>",
  "metadata": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ]
}
'
import requests

url = "https://api.example.com/assets/{assetId}/events"

payload = {
"eventType": "<string>",
"metadata": [
{
"key": "<string>",
"value": "<string>"
}
]
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({eventType: '<string>', metadata: [{key: '<string>', value: '<string>'}]})
};

fetch('https://api.example.com/assets/{assetId}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}
{
"title": "INVALID_EVENT_TYPE"
}
{
"title": "ASSET_NOT_FOUND"
}

Path Parameters

assetId
string
required

the asset id

Query Parameters

whenAt
string

Optional: the whenAt datetime

branchId
string
required

the branchId

Body

application/json
eventType
string
required

The event type

metadata
object[]

metadata assigned to the object

Response

The response is of type object.